Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 13 May 2022 05:24:24 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I have placed my order on 10th May 2022. Yet it is still showing me jn process. It has been 3 days. 

I would request you to expediate the process and make the item available for pick up latest by tomorrow afternoon. I need to gift the  item purchased to someone and you have to make sure Ireceive it on time. 

There is always a delay although click and collect is supposed to smooth and efficient. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4349475